ATOI(3)

NAME
atoi, atoi_l - convert ASCII string to integer

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
int
atoi(const char *str);
#include <xlocale.h>
int
atoi_l(const char *str, locale_t loc);

DESCRIPTION
The atoi() function converts the initial portion of the string pointed to by str to int representation.

It is equivalent to:

    (int)strtol(str, (char **)NULL, 10);

While the atoi() function uses the current locale, the atoi_l() function may be passed a locale directly. See xlocale(3) for more information.

IMPLEMENTATION NOTES
The atoi() and atoi_l() functions are thread-safe and async-cancel-safe.

The atoi() and atoi_l() functions have been deprecated by strtol() and strtol_l() and should not be used in new code.

ERRORS
The function atoi() need not affect the value of errno on an error.

SEE ALSO
atof(3), atol(3), strtod(3), strtol(3), strtoul(3), xlocale(3)

STANDARDS
The atoi() function conforms to p1003.1-90, isoC, and isoC-99.